sitemap link mailform link home

Raspbian Buster install

So, nun habe ich mich nach längerem Rumprobieren entschlossen, eine komplette Neuinstallation von Raspbian Buster + GIMP + wiringPi (zur Ansteuerung der GPIO) + wxWidgets + CodeBlocks + wxSmith (GUI-Designer) + Qt5 einmal sorgsam zu dokumentieren.

ACHTUNG: Bei solchen Befehlen (Konsole) wie hier:

wget_https://project-downloads.drogon.net/wiringpi-latest.deb                                

muss der Unterstrich gegen ein Leerzeichen ausgetauscht werden!
Das ließ sich leider nicht korrekt auf meinem Webserver abspeichern...

---------------------------------------------------------------------------------------------------------------------------


1. SD-Karte am PC vorbereiten

Download: Raspbian Buster with desktop and recommended software

Release 2020-02-13

2530 MB gepackt als ZIP-File

Externer Link https://www.raspberrypi.org/downloads/raspbian/

→ ZIP-File entpacken und mit der Software Win32 Disk Imager auf SD-Karte überspielen

Externer Link https://sourceforge.net/projects/win32diskimager/files/latest/download


2. SD-Karte in Raspberry Pi einlegen und starten

Der 1. Start dauert etwas länger!


3. Setup-Programm startet „Welcome to Raspberry Pi"

  • Set Country → GERMANY einstellen
  • Change Password
  • Set Up Screen → „This screen shows a black border"→ Bei Bedarf auswählen!
  • Select WiFi Network (Bei Bedarf)
  • Update Software → unbedingt ausführen!

4. Neustart -> Passwort ändern!!! -> Einstellungen -> Raspberry-Pi-Konfiguration


5. Aktuelles wiringPi installieren → erforderlich bei Raspberry Pi 4!

Checken der Version von wiringPi in der Konsole:

gpio-v                                                                                                              

ergibt u.a. folgende Meldung in der Konsole:

Raspberry Pi Details:                                                                                  
Type: Unknown17, Revision: 02, Memory: 0MB, Maker: Sony             

Hier weitere Infos des Autors von wiringPi:

Externer Link http://wiringpi.com/wiringpi-updated-to-2-52-for-the-raspberry-pi-4b/

Also neueste Version runterladen und installieren:

cd /tmp                                                                                                          
wget_https://project-downloads.drogon.net/wiringpi-latest.deb       
sudo dpkg -i wiringpi-latest.deb          
                                       

Testen, ob der Raspberry Pi 4 nun erkannt wird und die neuere Version installiert wurde:

gpio -v                                                                               

ergibt jetzt:

Raspberry Pi Details:                                                                                  
Type: Pi 4B, Revision: 02, Memory: 4096MB, Maker: Sony                   
* Device tree is enabled.                                                                            
*--> Raspberry Pi 4 Model B Rev 1.2                                                       
* This Raspberry Pi supports user-level GPIO access.   
               

6. GIMP installieren (braucht man immer):

sudo apt install gimp                                                                  

7. CodeBlocks und WxWidgets installieren:

sudo apt install codeblocks                                                       

Eine fehlende Bibliothek für codeblocks-contrib muss manuell installiert werden:

libhunspell-1.4-0

cd /tmp                                                                                                                                                                        
wget_http://ftp.de.debian.org/debian/pool/main/h/hunspell/libhunspell-1.4-0_1.4.1-2+b2_armhf.deb  
sudo dpkg -i libhunspell-1.4-0_1.4.1-2+b2_armhf.deb                                                                                    


8. CodeBlocks-Tool WxSmith (GUI-Designer von CodeBlocks) installieren:

sudo apt install codeblocks-contrib                                              

Mal sehen, ob die WxWidgets bereits installiert wurden...? Nein! Also:

7. wxWidgets installieren:

Diese Info hier ist nur zum Teil richtig:

Externer Link https://wiki.wxwidgets.org/Installing_and_configuring_under_Ubuntu

Die Version 2.8 ist offenbar veraltet und die Installation wird abgelehnt:

sudo apt install libwxgtk2.8-dev                                                                  

sudo apt install libwxgtk2.8-dbg                                                                 

Suche nach neueren Versionen (Konsole):

sudo apt-cache search libwxgt*

ergibt:


pi@raspberrypi:/tmp $ sudo apt-cache search libwxgt*
libwxgtk-media3.0-0v5 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
libwxgtk-media3.0-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
libwxgtk-media3.0-gtk3-0v5 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 media library runtime)
libwxgtk-media3.0-gtk3-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 media library development)
libwxgtk-webview3.0-gtk3-0v5 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 webview library runtime)
libwxgtk-webview3.0-gtk3-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 webview library development)
libwxgtk3.0-0v5 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
libwxgtk3.0-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)

libwxgtk3.0-gtk3-0v5 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 runtime)
libwxgtk3.0-gtk3-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 development)

Also muss die Version 3.0 installiert werden:

Diese Library / Bibliothek ist aber offenbar schon installiert:

sudo apt install libwxgtk3.0-0v5

Diese Library fehlt noch und muss installiert werden:

sudo apt install libwxgtk3.0-dev

Es muss bei einem neuen Projekt in Codeblocks also wxWidgets 3.0 verwendet werden!

So, jetzt müssten CodeBlocks + wxWidgets + wxSmith funktionieren!

8. Installation von Qt5

Es handelt sich bei Qt ebenfalls um eine komplette Suite für die C++-Entwicklung.

Externer Link https://elobit.com...

Installation in der Konsole:

sudo apt update
sido apt upgrade
sudo apt install qt5-default
sudo apt install qtcreator
sudo apt install libqt5serialport5
sudo apt install libqt5serialport5-dev

Die letzten beiden Befehle sind offenbar nur erforderlich, wenn ein serieller Port genutzt werden soll???

Nach der Installation sind die Qt5-Programme im Raspbian-Menü zu finden:

Screenshot

Links zu Qt-Tutorials:

Externer Link https://qmlbook.github.io/

Externer Link https://qmlbook.github.io/assets/qt5_cadaques.pdf

Externer Link https://upload.wikimedia.org/wikibooks/de/2/2a/QT_CPP_Anf%C3%A4nger.pdf

Externer Link https://www.ini.rub.de/upload/file/1520931695_bef79565e209f9c2b9a1/tag_02.pdf

Externer Link https://doc.qt.io/qt-5/qtwidgets-tutorials-notepad-example.html

Externer Link  https://doc.qt.io/qt-5/layout.html#introduction

Externer Link http://www.physik.uni-regensburg.de/studium/edverg/c++kurs/script.pdf

Externer Link https://riptutorial.com/de/qt

.

Letzte Änderung:
September 10. 2020 09:35:56
«    top    »